> ## Documentation Index
> Fetch the complete documentation index at: https://docs.khaime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get RFQ

> Get detailed information about a specific RFQ.

# Get RFQ

Retrieves detailed information about a specific RFQ including all quotes created for it.

## Path Parameters

<ParamField path="id" type="integer" required>
  The RFQ ID.
</ParamField>

## Response

<ResponseField name="status" type="string">
  `success` on successful retrieval.
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="RFQ fields">
    <ResponseField name="id" type="integer">
      RFQ ID.
    </ResponseField>

    <ResponseField name="order_number" type="string">
      Human-readable reference (e.g., `RFQ-2024-0001`).
    </ResponseField>

    <ResponseField name="status" type="string">
      Current status: `pending`, `quoted`, `accepted`, `rejected`, `expired`.
    </ResponseField>

    <ResponseField name="items" type="array">
      Line items in the RFQ with product details.
    </ResponseField>

    <ResponseField name="shipping_address" type="object">
      Shipping address if provided.
    </ResponseField>

    <ResponseField name="notes" type="string">
      General notes.
    </ResponseField>

    <ResponseField name="requested_delivery_date" type="string">
      Requested delivery date.
    </ResponseField>

    <ResponseField name="customer" type="object">
      Customer information including company name.
    </ResponseField>

    <ResponseField name="quotes" type="array">
      All quotes created for this RFQ.
    </ResponseField>

    <ResponseField name="chat_session" type="object">
      Associated chat session if any.
    </ResponseField>

    <ResponseField name="created_at" type="string">
      ISO 8601 timestamp.
    </ResponseField>

    <ResponseField name="updated_at" type="string">
      ISO 8601 timestamp.
    </ResponseField>
  </Expandable>
</ResponseField>

## Error Codes

| Status | Error           | Fix                                                       |
| ------ | --------------- | --------------------------------------------------------- |
| `401`  | Invalid API key | Verify your `X-API-Key` header                            |
| `404`  | RFQ not found   | Check that the RFQ ID exists and belongs to your business |

<RequestExample>
  ```bash Get RFQ details theme={null}
  curl https://api.khaime.com/api/v1/partner/rfq/789 \
    -H "X-API-Key: pk_sandbox_your_key"
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "status": "success",
    "data": {
      "id": 789,
      "order_number": "RFQ-2024-0001",
      "status": "quoted",
      "items": [
        {
          "product_id": 123,
          "product_title": "Widget Pro",
          "quantity": 100,
          "notes": "Need in blue color"
        }
      ],
      "shipping_address": {
        "address": "123 Business Park",
        "city": "New York",
        "state": "NY",
        "country": "USA",
        "postal_code": "10001"
      },
      "notes": "Need delivery within 2 weeks",
      "requested_delivery_date": "2024-02-15T00:00:00Z",
      "customer": {
        "id": 456,
        "name": "John Smith",
        "email": "john@acme.com",
        "company_name": "Acme Corporation"
      },
      "quotes": [
        {
          "id": 101,
          "quote_number": "Q-2024-0001",
          "status": "sent",
          "total_amount": 225000,
          "currency": "USD",
          "valid_until": "2024-02-28T23:59:59Z"
        }
      ],
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-16T14:20:00Z"
    }
  }
  ```
</ResponseExample>
